{% load i18n applications_tags seawatch_registration_tags %}
{{ form.non_field_errors }}
<div class="application-data-column">
  <fieldset class="planner--card">
    <legend>Personal Data</legend>
    {% include "seawatch_registration/forms/field.html" with field=form.first_name %}
    {% include "seawatch_registration/forms/field.html" with field=form.last_name %}
    {% include "seawatch_registration/forms/field.html" with field=form.phone_number %}
    {% include "seawatch_registration/forms/field.html" with field=form.email %}
    {% include "seawatch_registration/forms/field.html" with cls="narrow" field=form.date_of_birth %}
    {% include "seawatch_registration/forms/field.html" with cls="narrow" field=form.gender %}
    {% include "seawatch_registration/forms/field.html" with field=form.nationalities %}
    {% include "seawatch_registration/forms/field.html" with cls="wide" field=form.languages %}
  </fieldset>
  <fieldset class="planner--card">
    <legend>Positions and Certificates</legend>
    {% include "seawatch_registration/forms/field.html" with field=form.positions %}
    {% include "seawatch_registration/forms/field.html" with field=form.certificates %}
  </fieldset>
</div>
<div class="application-data-column">
  <div class="planner--card single-textbox">
    <h2>Why do you want to work for Sea-Watch?</h2>
    {{ form.instance.motivation }}
  </div>
  <div class="planner--card single-textbox">
    <h2>What qualifies you for the chosen positions?</h2>
    {{ form.instance.qualification }}
  </div>
  <div class="planner--card">
    <h2>CV or Portfolio</h2>
    {% include "seawatch_registration/forms/field.html" with field=form.homepage %}
    <div class="field">
      <label>Uploaded File</label>
      {% if cv %}
        <a target="_blank" href="{{ cv.file.url }}" download id="cv_file">{{ cv.file|basename }}</a>
      {% else %}
        <p>No CV uploaded for this application</p>
      {% endif %}
    </div>
  </div>
</div>
<div style="grid-column: 1 / -1;
            display: flex;
            justify-content: end;
            gap: 6px">
  <input type="submit"
         class="button button-primary"
         value="Save changes"
         data-disable-until-first-edit>
</div>
